Package org.codehaus.commons.compiler.java9.java.lang.module

# Class ModuleReader

java.lang.Object
org.codehaus.commons.compiler.java9.java.lang.module.ModuleReader

public class ModuleReader extends Object
Pre-Java-9-compatible facade for Java 9's `java.lang.module.ModuleReader` class.

## Constructor Summary

Constructors
Constructor
Description
`ModuleReader(Object delegate)`

## Method Summary

Modifier and Type
Method
Description
`Stream<String>`
`list()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModuleReader

public ModuleReader(Object delegate)

## Method Details

### list

public Stream<String> list() throws IOException

Throws:
  `IOException`